Capture
POST
/v2/Payment/CaptureCapture (Transact) completes a previously authorized (pre-auth) transaction, capturing the reserved funds. All the responses have GeneralResponse section that informs about successful result or error. See Error Codes and Messages.
Body Parameters
Amount*
numberTipAmount
numberAuthCode*
stringCart
Name*
stringValue*
numberName*
stringValue*
numberName*
stringPrice*
numberUnitPrice
numberQuantity*
numberAdditionalInfo
stringName*
stringValue*
numberName
stringName
stringPrice
numberQuantity
numberPaymentType*
enumReferenceId*
stringPrintReceipt
enumGetReceipt
enumMerchantNumber
numberInvoiceNumber
stringCaptureSignature
booleanGetExtendedData
booleanIsReadyForIS
booleanCallbackInfo
Url
stringReconId
stringIsvId
stringTpn
stringRegisterId
stringAuthkey
stringSPInProxyTimeout
numberCustomFields
CustomerEmail
stringCustomerMobile
stringPOST/v2/Payment/Capture
1curl --location 'https://test.spinpos.net/v2/Payment/Capture' \
2--header 'Content-Type: application/json' \
3--data '{
4 "Amount": 10,
5 "TipAmount": "",
6 "AuthCode": "AXS854",
7 "Cart": {
8 "Amounts": [
9 {
10 "Name": "",
11 "Value": ""
12 }
13 ],
14 "CashPrices": [
15 {
16 "Name": "",
17 "Value": ""
18 }
19 ],
20 "Items": [
21 {
22 "Name": "",
23 "Price": "",
24 "UnitPrice": "",
25 "Quantity": "",
26 "AdditionalInfo": "",
27 "CustomInfos": [
28 {
29 "Name": "",
30 "Value": ""
31 }
32 ],
33 "Modifiers": [
34 {
35 "Name": "",
36 "Options": [
37 {
38 "Name": "",
39 "Price": "",
40 "Quantity": ""
41 }
42 ]
43 }
44 ]
45 }
46 ]
47 },
48 "PaymentType": "Credit",
49 "ReferenceId": "0122dcfa7829",
50 "PrintReceipt": "No",
51 "GetReceipt": "No",
52 "MerchantNumber": "",
53 "InvoiceNumber": "",
54 "CaptureSignature": false,
55 "GetExtendedData": true,
56 "IsReadyForIS": false,
57 "CallbackInfo": {
58 "Url": ""
59 },
60 "ReconId": "",
61 "IsvId": "",
62 "Tpn": "",
63 "RegisterId": "",
64 "Authkey": "",
65 "SPInProxyTimeout": "",
66 "CustomFields": {
67 "CustomerEmail": "sai@gmail.com",
68 "CustomerMobile": "+15418996990"
69 }
70}'
Response
// Awaiting response…
Sample response
{
"GeneralResponse": {
"HostResponseCode": "00",
"HostResponseMessage": "Approved",
"ResultCode": "Ok",
"StatusCode": "0000",
"Message": "Approved",
"DetailedMessage": "APPROVAL VTLMC1",
"DelayBeforeNextRequest": null
},
"Amounts": {
"TotalAmount": 1.05,
"Amount": 1,
"TipAmount": null,
"FeeAmount": 0.03,
"TaxAmount": 0.02
},
"CardData": {
"CardType": "Mastercard",
"EntryType": "ChipContactless",
"Last4": "4111",
"First4": "5413",
"BIN": "541333",
"ExpirationDate": "1225",
"Name": "",
"CardBrand": ""
}
}